Subject: GNOME problem

From: Ben Winslow <[email-masked]>
Date: Tue, 23 Nov 1999 15:49:17 -0500

I've been playing with GNOME a little bit, and I noticed that fvwm doesn't
properly report the current row/column in the current desktop.  I'm poking
around the source to try and fix this problem, however, I'm *very*
unfamiliar with the GNOME protocol and such (if anybody has an URL that'd be
helpful to me, I'd appreciate it).  Anyway, the main side effect to this is
that the task list applet for the panel doesn't show the tasks on any
desktop except the first, and it shows them all on the first, which is
*really* annoying.  If anybody has information that'd be helpful, or if
anybody else has a clue and can do it better than I, I'd appreciate it.

Just to eliminate any confusion, this is what I'm talking about:

+---------+---------+---------+---------+
| Desk 1  | Desk 2  | Desk 3  | Desk 4  |
|_________|_________|_________|_________|
|_x__|_y__|____|____|____|____|____|____|
|____|____|____|____|____|____|____|____|

GNOME sees all applications on 'x', even when an application is in 'y'.  No
applications (unless they are sticky) are shown when 'y' is active.

-- 
Ben Winslow           /   [email-masked]
bluecherry internet   /   http://www.bluecherry.net
|Rain| @ IRC          /   anynet: irc.anynet.org

---

From: [email-masked] (Paul D. Smith)
Date: 23 Nov 1999 16:31:05 -0500

%% Ben Winslow <[email-masked]> writes:

  bw> I've been playing with GNOME a little bit, and I noticed that fvwm
  bw> doesn't properly report the current row/column in the current
  bw> desktop.

You didn't mention what version of fvwm you have.

There are some patches to GNOME support from Matt Rossmiller which, I
guess, are on my plate to integrate but which I haven't yet :(.  I don't
know exactly whether they'll solve your problem (I don't use GNOME
myself), but perhaps.  Here's a copy of the text accompanying his diffs
(unfortunately I don't have a copy of the original message his refers
to, but you can go get it from the archive I'm sure):

> From: Matt Rossmiller <[email-masked]>
> Subject: My Gnome updates
> To: [email-masked]
> Date: Fri, 5 Nov 1999 11:13:00 -0600 (CST)
>
> Please disregard the diffs I sent yesterday in favor of the following 
> diffs. In addition to the changes from yesterday, the following allows
> gnome applications to sticky and windowshade themselves (or others as 
> gnome pager does) and also added the gnomeshowdesks configurable to tell
> gnome exactly how many desks to show... also, desk change requests outside
> of gnome's range will not be sent to gnome, which seems to improve the
> panel's ability to stay on the correct desk/screen when not sticky and
> using FvwmPager. 

-- 
-------------------------------------------------------------------------------
 Paul D. Smith <[email-masked]>         Network Management Development
 "Please remain calm...I may be mad, but I am a professional." --Mad Scientist
-------------------------------------------------------------------------------
   These are my opinions---Nortel Networks takes no responsibility for them.
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Ben Winslow <[email-masked]>
Date: Tue, 23 Nov 1999 16:36:01 -0500

On Tue, Nov 23, 1999 at 04:31:05PM -0500, Paul D. Smith wrote:
# Received: from BlackHole.RainNet.Org ([email-masked] [192.168.1.3])
# 	by Portal.RainNet.Org (8.9.3/8.9.3/Debian/GNU) with ESMTP id QAA29674
# 	for <[email-masked]>; Tue, 23 Nov 1999 16:32:58 -0500
# Received: from karazm.math.uh.edu (karazm.math.uh.edu [129.7.128.1])
# 	by BlackHole.RainNet.Org (8.9.3/8.9.3/Debian/GNU) with ESMTP id QAA08747
# 	for <[email-masked]>; Tue, 23 Nov 1999 16:32:45 -0500
# Received: from sina.hpc.uh.edu ([email-masked] [129.7.3.5])
# 	by karazm.math.uh.edu (8.9.3/8.9.3) with ESMTP id PAB21745;
# 	Tue, 23 Nov 1999 15:32:12 -0600 (CST)
# Received: by sina.hpc.uh.edu (TLB v0.09a (1.20 tibbs 1996/10/09 22:03:07)); Tue, 23 Nov 1999 15:32:30 -0600 (CST)
# Received: from karazm.math.uh.edu (karazm.math.uh.edu [129.7.128.1])
# 	by sina.hpc.uh.edu (8.9.3/8.9.3) with ESMTP id PAA02904
# 	for <[email-masked]>; Tue, 23 Nov 1999 15:32:14 -0600 (CST)
# Received: from southpass.baynetworks.com (ns2.BayNetworks.COM [134.177.3.16])
# 	by karazm.math.uh.edu (8.9.3/8.9.3) with ESMTP id PAA21740
# 	for <[email-masked]>; Tue, 23 Nov 1999 15:31:46 -0600 (CST)
# Received: from mailhost.BayNetworks.COM (h8754.s84f5.BayNetworks.COM [132.245.135.84])
# 	by southpass.baynetworks.com (8.9.1/8.9.1) with ESMTP id NAA07866;
# 	Tue, 23 Nov 1999 13:25:23 -0800 (PST)
# Received: from pobox.engeast.BayNetworks.COM (pobox.engeast.baynetworks.com [192.32.61.6])
# 	by mailhost.BayNetworks.COM (8.9.1/8.8.8) with ESMTP id QAA06444;
# 	Tue, 23 Nov 1999 16:26:49 -0500 (EST)
# Received: from lemming.engeast (lemming [192.32.148.86])
# 	by pobox.engeast.BayNetworks.COM (SMI-8.6/BNET-97/04/24-S) with SMTP
# 	id QAA17314; Tue, 23 Nov 1999 16:31:06 -0500
# 	for 
# Received: by lemming.engeast (SMI-8.6/SMI-SVR4)
# 	id QAA18411; Tue, 23 Nov 1999 16:31:05 -0500
# To: Ben Winslow <[email-masked]>
# Cc: [email-masked]
# Subject: Re: GNOME problem
# References: <[email-masked]>
# Reply-To: [email-masked]
# From: [email-masked] (Paul D. Smith)
# In-Reply-To: Ben Winslow's message of "Tue, 23 Nov 1999 15:49:17 -0500"
# Date: 23 Nov 1999 16:31:05 -0500
# Message-ID: <[email-masked]>
# Lines: 35
# User-Agent: Gnus/5.070097 (Pterodactyl Gnus v0.97) Emacs/20.4
# MIME-Version: 1.0
# Content-Type: text/plain; charset=us-ascii
# Sender: [email-masked]
# Precedence: list
# X-Majordomo: 1.94.jlt7
# 
# %% Ben Winslow <[email-masked]> writes:
# 
#   bw> I've been playing with GNOME a little bit, and I noticed that fvwm
#   bw> doesn't properly report the current row/column in the current
#   bw> desktop.
# 
# You didn't mention what version of fvwm you have.
# 
# There are some patches to GNOME support from Matt Rossmiller which, I
# guess, are on my plate to integrate but which I haven't yet :(.  I don't
# know exactly whether they'll solve your problem (I don't use GNOME
# myself), but perhaps.  Here's a copy of the text accompanying his diffs
# (unfortunately I don't have a copy of the original message his refers
# to, but you can go get it from the archive I'm sure):
Oh yeah.  I'm using the latest CVS version.  I did try the aforementioned
patches, but they didn't seem to help me...

# 
# > From: Matt Rossmiller <[email-masked]>
# > Subject: My Gnome updates
# > To: [email-masked]
# > Date: Fri, 5 Nov 1999 11:13:00 -0600 (CST)
# >
# > Please disregard the diffs I sent yesterday in favor of the following 
# > diffs. In addition to the changes from yesterday, the following allows
# > gnome applications to sticky and windowshade themselves (or others as 
# > gnome pager does) and also added the gnomeshowdesks configurable to tell
# > gnome exactly how many desks to show... also, desk change requests outside
# > of gnome's range will not be sent to gnome, which seems to improve the
# > panel's ability to stay on the correct desk/screen when not sticky and
# > using FvwmPager. 
# 
# -- 
# -------------------------------------------------------------------------------
#  Paul D. Smith <[email-masked]>         Network Management Development
#  "Please remain calm...I may be mad, but I am a professional." --Mad Scientist
# -------------------------------------------------------------------------------
#    These are my opinions---Nortel Networks takes no responsibility for them.
# --
# Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
# To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
# body of a message to [email-masked].
# To report problems, send mail to [email-masked]

---

From: Mikhael Goikhman <[email-masked]>
Date: Wed, 24 Nov 1999 00:50:06 +0200

> Just to eliminate any confusion, this is what I'm talking about:

I don't want to say that fvwm has no GNOME problems, but I think that the
applets themselves are buggy.

AFAIK, the old applet GnomePager will not be included anymore into gnome
(too problematic?) and the substitutions DeskGuide and TaskList are still
under developement.

Try to open all three these applets, they behaviour differently (have
different bugs?). For example unlike TaskList, GnomePager do list windows
on "y" and DeskGuide even gives you to move them.

Regards,
Mikhael.

---

From: Ben Winslow <[email-masked]>
Date: Tue, 23 Nov 1999 18:26:16 -0500

On Wed, Nov 24, 1999 at 12:50:06AM +0200, Mikhael Goikhman wrote:
# Received: from BlackHole.RainNet.Org ([email-masked] [192.168.1.3])
# 	by Portal.RainNet.Org (8.9.3/8.9.3/Debian/GNU) with ESMTP id QAA32559
# 	for <[email-masked]>; Tue, 23 Nov 1999 16:58:14 -0500
# Received: from karazm.math.uh.edu (karazm.math.uh.edu [129.7.128.1])
# 	by BlackHole.RainNet.Org (8.9.3/8.9.3/Debian/GNU) with ESMTP id QAA08921
# 	for <[email-masked]>; Tue, 23 Nov 1999 16:58:05 -0500
# Received: from sina.hpc.uh.edu ([email-masked] [129.7.3.5])
# 	by karazm.math.uh.edu (8.9.3/8.9.3) with ESMTP id PAB22717;
# 	Tue, 23 Nov 1999 15:57:34 -0600 (CST)
# Received: by sina.hpc.uh.edu (TLB v0.09a (1.20 tibbs 1996/10/09 22:03:07)); Tue, 23 Nov 1999 15:57:47 -0600 (CST)
# Received: from karazm.math.uh.edu (karazm.math.uh.edu [129.7.128.1])
# 	by sina.hpc.uh.edu (8.9.3/8.9.3) with ESMTP id PAA03408
# 	for <[email-masked]>; Tue, 23 Nov 1999 15:57:37 -0600 (CST)
# Received: from cortext.co.il (IDENT:migo@[192.117.145.180])
# 	by karazm.math.uh.edu (8.9.3/8.9.3) with ESMTP id PAA22685
# 	for <[email-masked]>; Tue, 23 Nov 1999 15:57:00 -0600 (CST)
# Received: (from migo@localhost)
# 	by cortext.co.il (8.9.1/8.9.1) id AAA08079
# 	for [email-masked]; Wed, 24 Nov 1999 00:50:07 +0200
# Message-ID: <[email-masked]>
# Date: Wed, 24 Nov 1999 00:50:06 +0200
# From: Mikhael Goikhman <[email-masked]>
# To: [email-masked]
# Subject: Re: GNOME problem
# Mail-Followup-To: [email-masked]
# References: <[email-masked]>
# Mime-Version: 1.0
# Content-Type: text/plain; charset=us-ascii
# X-Mailer: Mutt 0.93.2
# In-Reply-To: <[email-masked]>; from Ben Winslow on Tue, Nov 23, 1999 at 03:49:17PM -0500
# Sender: [email-masked]
# Precedence: list
# X-Majordomo: 1.94.jlt7
# Status: RO
# Content-Length: 1895
# Lines: 41
# 
# I don't want to say that fvwm has no GNOME problems, but I think that the
# applets themselves are buggy.
I agree on both parts-- however, I did play with the applet's source for a
while, and thinks that fvwm is to blame (I think gnome wants you to
specifically give this info, and fvwm is not, but again, I don't have a
spec-- I'm just going at source I looked over)
Still, I'm not too picky-- I just want to get this working, I'm not asking
for full gnome compliance or anything :)

Again, if you know of any place I can get documented info on this, please
let me know, and I'll just fix it myself...

# 
# AFAIK, the old applet GnomePager will not be included anymore into gnome
# (too problematic?) and the substitutions DeskGuide and TaskList are still
# under developement.
# 
# Try to open all three these applets, they behaviour differently (have
# different bugs?). For example unlike TaskList, GnomePager do list windows
# on "y" and DeskGuide even gives you to move them.
# 
# Regards,
# Mikhael.
# --
# Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
# To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
# body of a message to [email-masked].
# To report problems, send mail to [email-masked]